package com.syjy.calculate.repository;

import com.syjy.calculate.entity.CalculationFormula;
import org.springframework.stereotype.Repository;
import java.util.List;

@Repository
public interface CalculationFormulaRepository {

    /**
     * 保存公式数据
     * @param calculationFormula 单条公式记录
     */
    void save(CalculationFormula calculationFormula);

    /**
     * 更新数据
     * @param calculationFormula 公式记录
     */
    void update(CalculationFormula calculationFormula);

    /**
     * 查询数据
     * @param province 省调
     * @param type 类型
     * @return 返回记录
     */
    List<CalculationFormula> findByTypeAndProvince(String province,String type );


    /**
     * 查询变量数据
     * @return 返回记录
     */
    List<CalculationFormula> findVariate(String provinceEnum);


    /**
     * 查询全部数据
     * @return 返回全部记录
     */
    List<CalculationFormula> findAll();

}
