package com.syjy.calculate.repository.repositoryImpl;

import com.syjy.calculate.entity.CalculationFormula;
import com.syjy.calculate.repository.CalculationFormulaRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CalculationFormulaRepositoryImpl implements CalculationFormulaRepository {

    @Autowired
    public JdbcTemplate jdbcTemplate;

    @Override
    public void save(CalculationFormula calculationFormula) {

    }

    @Override
    public void update(CalculationFormula calculationFormula) {

    }

    @Override
    public List<CalculationFormula> findByTypeAndProvince( String province, String type) {
        String sql = "SELECT * from t_calculation_formula where C_PROVINCE_ENUM = ? and C_TYPE = ? ";
        List<CalculationFormula> calculationFormulaList = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(CalculationFormula.class),province,type);
        return calculationFormulaList;
    }

    @Override
    public List<CalculationFormula> findVariate(String provinceEnum) {
        String sql = "SELECT * from t_calculation_formula where C_TYPE in ('VariateA','VariateB','VariateC') and C_PROVINCE_ENUM = ?";
        List<CalculationFormula> calculationFormulaList = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(CalculationFormula.class),provinceEnum);
        return calculationFormulaList;
    }

    @Override
    public List<CalculationFormula> findAll() {
        return null;
    }
}
